ChangeSet 1.1595.8.8, 2003/07/30 10:35:28-07:00, david-b@pacbell.net

[PATCH] USB: usb audio, remove garbage warning

There are two places where the audio driver checks for
endpoint-less interfaces, but the second one doesn't
filter out a garbage warning (without this patch).

Likely it'd be better to remove these warnings from
the driver, and maybe just place them in usbcore if
they'd ever be useful.  But this at least gets rid
of one class of "is this device broken" questions.


 drivers/usb/class/audio.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/class/audio.c b/drivers/usb/class/audio.c
--- a/drivers/usb/class/audio.c	Fri Aug  1 10:56:17 2003
+++ b/drivers/usb/class/audio.c	Fri Aug  1 10:56:17 2003
@@ -2953,6 +2953,8 @@
 			if (alts->desc.bInterfaceClass != USB_CLASS_AUDIO || alts->desc.bInterfaceSubClass != 2)
 				continue;
 			if (alts->desc.bNumEndpoints < 1) {
+				/* altsetting 0 should never have iso EPs */
+				if (alts->desc.bAlternateSetting != 0)
 				printk(KERN_ERR "usbaudio: device %u interface %u altsetting %u does not have an endpoint\n", 
 				       dev->devnum, asifout, i);
 				continue;
